$INCLUDE: 'C:\FG\INTRFACE.FOR'

      PROGRAM MAIN

      INTEGER*2 FREQ

      WRITE(6,*) '20 Hz tone...'
      CALL FG_SOUND(20,3)
      CALL FG_WAITFOR(18)

      WRITE(6,*) '100 Hz tone...'
      CALL FG_SOUND(100,3)
      CALL FG_WAITFOR(18)

      WRITE(6,*) '1000 Hz tone...'
      CALL FG_SOUND(1000,3)
      CALL FG_WAITFOR(18)

      WRITE(6,*) 'warble...'
      CALL FG_SOUND(400,1)
      CALL FG_SOUND(410,1)
      CALL FG_SOUND(400,1)
      CALL FG_SOUND(410,1)
      CALL FG_WAITFOR(18)

      WRITE(6,*) 'sliding tone from 100 to 500 Hz...'
      DO 10 FREQ = 100,500,10
         CALL FG_SOUND(FREQ,2)
10    CONTINUE

      STOP ' '
      END
